Select 
	Z.ID ,Z.LOGICAL_NAME ,Z.PHYSICAL_NAME , Z.LINE , Z.MEMO , Z.TYPE , 
	HREF1.PHYSICAL_NAME As TYPE_PNAME , HREF1.LOGICAL_NAME As TYPE_LNAME , 
	Z.FIX , HREF2.PHYSICAL_NAME As FIX_PNAME , Z.LENGTH , Z.SCALE , 
	Z.DEFAULT_VALUE ,Z.OMIT , HREF3.PHYSICAL_NAME As OMIT_PNAME , Z.ENUM , 
	Z.FORMAT_CLASS , HREF4.PHYSICAL_NAME As FORMAT_CLASS_PNAME , 
	HREF4.LOGICAL_NAME As FORMAT_CLASS_LNAME , Z.FORMAT_PARAM , Z.BYTE_TYPE , 
	HREF5.PHYSICAL_NAME As BYTE_TYPE_PNAME , Z.MINIMUM , Z.MAXIMUM 
From 
	WEDGE_DAT_DATA_H Z 
	Left Outer Join 
		WEDGE_DATA_CLASS As HREF1 On (Z.TYPE = HREF1.ID) 
	Left Outer Join 
		( select * from WEDGE_NAME where 'TRUE_OR_FALSE' = SEARCH_STRING )
		As HREF2 On Z.FIX = HREF2.VALUE 
	Left Outer Join 
		( select * from WEDGE_NAME where 'OMIT' = SEARCH_STRING ) 
		As HREF3 On Z.OMIT = HREF3.VALUE 
	Left Outer Join 
		WEDGE_BASE As HREF4 On (Z.FORMAT_CLASS = HREF4.ID) 
	Left Outer Join 
		( select * from WEDGE_NAME where 'BYTE_TYPE' = SEARCH_STRING )
		As HREF5 On Z.BYTE_TYPE = HREF5.VALUE 
Order By
	Z.PHYSICAL_NAME, Z.ID
